gdcm::network::SOPClassExtendedNegociationSub Class Reference

SOPClassExtendedNegociationSub. More...

`#include <gdcmSOPClassExtendedNegociationSub.h>`

## Public Member Functions

| SOPClassExtendedNegociationSub ()
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetTuple (const char *uid, uint8_t levelofsupport=3, uint8_t levelofdigitalsig=0, uint8_t elementcoercion=2)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

SOPClassExtendedNegociationSub.

PS 3.7 Table D.3-11 SOP CLASS EXTENDED NEGOTIATION SUB-ITEM FIELDS (A-ASSOCIATE-RQ and A-ASSOCIATE-AC)

## Constructor & Destructor Documentation

## SOPClassExtendedNegociationSub()

gdcm::network::SOPClassExtendedNegociationSub::SOPClassExtendedNegociationSub | ( |  | ) |

## Member Function Documentation

## Print()

void gdcm::network::SOPClassExtendedNegociationSub::Print | ( | std::ostream & | os | ) | const

## Read()

std::istream & gdcm::network::SOPClassExtendedNegociationSub::Read | ( | std::istream & | is | ) |

## SetTuple()

void gdcm::network::SOPClassExtendedNegociationSub::SetTuple | ( | const char * | uid,
|  | uint8_t | levelofsupport = 3,
|  | uint8_t | levelofdigitalsig = 0,
|  | uint8_t | elementcoercion = 2 )

## Size()

size_t gdcm::network::SOPClassExtendedNegociationSub::Size | ( |  | ) | const

## Write()

const std::ostream & gdcm::network::SOPClassExtendedNegociationSub::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmSOPClassExtendedNegociationSub.h